## org.apache.solr.client.solrj
Class SolrServerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.solr.client.solrj.SolrServerException

All Implemented Interfaces:
  Serializable

    public class SolrServerException

extends Exception

Exception to catch all types of communication / parsing issues associated with talking to SOLR

Since:
  solr 1.3
See Also:
  Serialized Form

Constructor Summary
`SolrServerException(String message)`
`SolrServerException(String message, Throwable cause)`
`SolrServerException(Throwable cause)`

Method Summary
`Throwable` `getRootCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SolrServerException

    public SolrServerException(String message,
                               Throwable cause)

### SolrServerException

    public SolrServerException(String message)

### SolrServerException

    public SolrServerException(Throwable cause)

Method Detail

### getRootCause

    public Throwable getRootCause()

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.